# -*- coding: utf-8 -*-
"""
app.defaults
~~~~~~~~~~~~

This module implements the database default values.

:copyright: (c) 2017 European Spallation Source ERIC
:license: BSD 2-Clause, see LICENSE for more details.

"""
from . import models


defaults = [
    models.Location(name='ICS lab'),
    models.Location(name='Utgård'),
    models.Location(name='Site'),
    models.Location(name='ESS'),

    models.Status(name='Stock'),
    models.Status(name='In service'),
    models.Status(name='Disposed'),

    models.Manufacturer(name='ESS'),
    models.Manufacturer(name='MRF'),
    models.Manufacturer(name='IOxOS'),
    models.Manufacturer(name='Wiener'),
    models.Manufacturer(name='Moxa'),
    models.Manufacturer(name='NAT'),
    models.Manufacturer(name='Concurrent'),
    models.Manufacturer(name='Schroff'),
    models.Manufacturer(name='Struck'),
    models.Manufacturer(name='Dell'),
    models.Manufacturer(name='Samsung'),
    models.Manufacturer(name='HP'),
    models.Manufacturer(name='IBM'),
    models.Manufacturer(name='CAEN'),
    models.Manufacturer(name='Raritan'),
    models.Manufacturer(name='DYMO'),

    models.Model(name='vme-evm-300'),
    models.Model(name='mtca-evr-300u'),
    models.Model(name='pcie-evr-300dc'),
    models.Model(name='Moxa-Nport-6650'),
    models.Model(name='Dyno-LabelWriter-450-Duo'),
    models.Model(name='NAT-MCH-PHYS'),
    models.Model(name='microSD-EVO-32G'),

    models.Action(name='Assign ICS id'),
    models.Action(name='Clear all'),
    models.Action(name='Clear attributes'),
    models.Action(name='Fetch'),
    models.Action(name='Register'),
    models.Action(name='Set as parent'),
    models.Action(name='Update'),
]
